GNU bug report logs - #19906
python.el: indenting parenthesized lists

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Carlos Pita <carlosjosepita@HIDDEN>; merged with #20560, #20742; dated Thu, 19 Feb 2015 20:37:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 19906 20560 20742. Request was from fgallina@HIDDEN (Fabián Ezequiel Gallina) to control <at> debbugs.gnu.org. Full text available.
Merged 19906 20742. Request was from fgallina@HIDDEN (Fabián Ezequiel Gallina) to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Feb 2015 20:36:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 19 15:36:33 2015
Received: from localhost ([127.0.0.1]:48980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YOXpp-00010g-LJ
	for submit <at> debbugs.gnu.org; Thu, 19 Feb 2015 15:36:33 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45947)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <carlosjosepita@HIDDEN>) id 1YOXpm-00010X-Hf
 for submit <at> debbugs.gnu.org; Thu, 19 Feb 2015 15:36:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1YOXpl-0008BU-GI
 for submit <at> debbugs.gnu.org; Thu, 19 Feb 2015 15:36:30 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49675)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1YOXpl-0008BE-Cr
 for submit <at> debbugs.gnu.org; Thu, 19 Feb 2015 15:36:29 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47660)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1YOXpk-00074d-JU
 for bug-gnu-emacs@HIDDEN; Thu, 19 Feb 2015 15:36:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1YOXpd-00081N-Q5
 for bug-gnu-emacs@HIDDEN; Thu, 19 Feb 2015 15:36:28 -0500
Received: from mail-qa0-x231.google.com ([2607:f8b0:400d:c00::231]:45487)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1YOXpd-00081G-Lv
 for bug-gnu-emacs@HIDDEN; Thu, 19 Feb 2015 15:36:21 -0500
Received: by mail-qa0-f49.google.com with SMTP id w8so8206756qac.8
 for <bug-gnu-emacs@HIDDEN>; Thu, 19 Feb 2015 12:36:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=yp7+ASP3Vs5O5z00604cwuvOkETCRTM/e8HJPbGrpi4=;
 b=qQVDWtRM5GlV1pQF7hHTMTJkzrjv7dDF7wkGvSbEK5aY9KloEmrUp+a7MFPTH3n86w
 wRiqUbhHGy2ajr5aohdDeZvq/58NgPR5QzxhBSXoPBDTC4X+hTSCUqvVK0raVO6OT8j8
 TX688PL2vb0iv73cpUToI2xVKZn41CVOIsLUBPGNC2n+tbsg2x9+p+kMLo+upG+xu01R
 qS17P6gQB2XwkUONj8Q8Ax/fW0Z4wvE5QDgN6d9P9jPIOOoDwYdKDWn7BS66hz8+winx
 okG+HW33V7H+t8MC67Qf6YC8H6z5QtBYuPiArcOmwqLcclP+F43hd9el6aFbr5b9N0ih
 JqIA==
X-Received: by 10.140.231.204 with SMTP id b195mr15858427qhc.98.1424378181289; 
 Thu, 19 Feb 2015 12:36:21 -0800 (PST)
Received: from carlos ([190.18.155.203])
 by mx.google.com with ESMTPSA id x7sm17818258qas.29.2015.02.19.12.36.19
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 19 Feb 2015 12:36:20 -0800 (PST)
From: Carlos Pita <carlosjosepita@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: python.el: indenting parenthesized lists
X-Debbugs-CC: fgallina@HIDDEN
Date: Thu, 19 Feb 2015 17:36:11 -0300
Message-ID: <87ioextz9g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Say * is the point.

Try:

def f(a,*<Enter>

You get:

def f(a,
      *

which is fine. Now try:

def f(a,*<Enter>):

You get:

def f(a,
*):

which is wrong.

I've not further investigated this issue, but the trailing parenthesis
shouldn't affect indentation.

Cheers
--
Carlos




Acknowledgement sent to Carlos Pita <carlosjosepita@HIDDEN>:
New bug report received and forwarded. Copy sent to fgallina@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to fgallina@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#19906; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 6 Jul 2015 02:30:05 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.